> ## Documentation Index
> Fetch the complete documentation index at: https://fdocs.info/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Company by ID

> - Retrieve valuable data points using a company’s LinkedIn internal ID. 

 - 1 credit per call.



## OpenAPI

````yaml GET /get-company-by-id
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://web-scraping-api2.p.rapidapi.com
security:
  - ApiKeyAuth: []
paths:
  /get-company-by-id:
    get:
      description: |-
        - Retrieve valuable data points using a company’s LinkedIn internal ID. 

         - 1 credit per call.
      parameters:
        - name: company_id
          in: query
          description: >-
            Learn how to [find a
            company_id](https://fdocs.info/tutorial/howto-find-company-id).
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanyByLinkedin'
        '400':
          description: Invalid company_id.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidCompanyID'
        '404':
          description: Profile not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IDNotFound'
        '503':
          description: Profile not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SystemError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CompanyByLinkedin:
      type: object
      properties:
        message:
          type: string
          example: ok
        data:
          type: object
          properties:
            affiliated_companies:
              type: array
              items:
                type: string
              example: []
            company_id:
              type: string
              example: '162479'
            company_name:
              type: string
              example: Apple
            description:
              type: string
              example: >-
                We’re a diverse collective of thinkers and doers, continually
                reimagining what’s possible to help us all do what we love in
                new ways. And the same innovation that goes into our products
                also applies to our practices — strengthening our commitment to
                leave the world better than we found it. This is where your work
                can make a difference in people’s lives. Including your own.


                Apple is an equal opportunity employer that is committed to
                inclusion and diversity. Visit apple.com/careers to learn more.
            domain:
              type: string
              example: apple.com
            email:
              type: string
              example: ''
            employee_count:
              type: integer
              example: 165036
            employee_range:
              type: string
              example: 10001+
            follower_count:
              type: integer
              example: 17689006
            funding_info:
              type: string
              example:
                crunchbase_url: https://www.crunchbase.com/organization/apple
                last_funding_round_amount: null
                last_funding_round_currency: null
                last_funding_round_month: 4
                last_funding_round_type: Post IPO equity
                last_funding_round_year: 2021
                num_funding_rounds: null
            hq_address_line1:
              type: string
              example: 1 Apple Park Way
            hq_address_line2:
              type: string
              example: ''
            hq_city:
              type: string
              example: Cupertino
            hq_country:
              type: string
              example: US
            hq_full_address:
              type: string
              example: 1 Apple Park Way, Cupertino, California 95014, US
            hq_postalcode:
              type: string
              example: '95014'
            hq_region:
              type: string
              example: California
            industries:
              type: array
              items:
                type: string
              example:
                - Computers and Electronics Manufacturing
            linkedin_url:
              type: string
              example: https://www.linkedin.com/company/apple/
            locations:
              type: array
              items:
                type: object
              example:
                - city: Cupertino
                  country: US
                  full_address: 1 Apple Park Way, Cupertino, California 95014, US
                  is_headquarter: true
                  line1: 1 Apple Park Way
                  line2: ''
                  region: California
                  zipcode: '95014'
            logo_url:
              type: string
              example: >-
                https://media.licdn.com/dms/image/v2/C560BAQHdAaarsO-eyA/company-logo_400_400/company-logo_400_400/0/1630637844948/apple_logo?e=1744243200&v=beta&t=UZPODQ4VLm4xKooGWuiYIUtapnfYcfNDEc_gYgqNZN8
            phone:
              type: string
              example: ''
            specialties:
              type: string
              example: >-
                Innovative Product Development, World-Class Operations, Retail,
                Telephone Support
            tagline:
              type: string
              example: ''
            website:
              type: string
              example: http://www.apple.com/careers
            year_founded:
              type: integer
              example: 1976
    InvalidCompanyID:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: 'Bad request: Invalid company_id.'
    IDNotFound:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: The id was not found on Linkedin.
    SystemError:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: System error. We will fix it soon!
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key

````